org.apache.ignite.internal.processors.cache.persistence.checkpoint

## Class CheckpointEntry.GroupState

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.checkpoint.CheckpointEntry.GroupState

Enclosing class:
  CheckpointEntry

    public static class CheckpointEntry.GroupState
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addPartitionCounter(int partId, long cntr)`
`long` `counterByPartition(int partId)` Gets partition counter by partition ID.
`int` `getPartitionByIndex(int idx)` Return a partition id by an index of this group state.
`int` `indexByPartition(int partId)`
`int` `size()` Return size of this group state.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### addPartitionCounter

    public void addPartitionCounter(int partId,
                                    long cntr)

Parameters:
  `partId` - Partition ID to add.
  `cntr` - Partition counter.

#### counterByPartition

    public long counterByPartition(int partId)

Gets partition counter by partition ID.

Parameters:
  `partId` - Partition ID.
Returns:
  Partition update counter (will return `-1` if partition is not present in the record).

#### getPartitionByIndex

    public int getPartitionByIndex(int idx)

Return a partition id by an index of this group state. Index was passed through parameter have to be less than size.

Parameters:
  `idx` - Partition index.
Returns:
  Patition id.

#### size

    public int size()

Return size of this group state.

Returns:
  Size of an internal indexes array fro this group state.

#### indexByPartition

    public int indexByPartition(int partId)

Parameters:
  `partId` - Partition ID to search.
Returns:
  Non-negative index of partition if found or negative value if not found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021